No Authentication Window appears when it is needed to run as the super user.

I use yay -Syyu in order to update AUR together.
I tried sudo pacman-mirrors -f && sudo pacman -Syyu just now and REBOOT.
But the issue is still exist.

I prefer 'topgrade'.

Running 'topgrade -n' shows the

Process

ben@serenity Linux 5.4.44-1-MANJARO x86_64 20.0.3 Lysia
~ >>> topgrade -n

―― 13:43:04 - System update ――――――――――――――――――――――――――――――――――――――――――――――――――――
Dry running: /usr/bin/yay -Pw
Dry running: /usr/bin/yay --pacman /usr/bin/pacman -Syu --devel

―― 13:43:04 - oh-my-zsh ――――――――――――――――――――――――――――――――――――――――――――――――――――――――
Dry running: sh /home/ben/.oh-my-zsh/tools/upgrade.sh

―― 13:43:05 - Yarn ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
Dry running: /usr/bin/yarn global upgrade -s

―― 13:43:05 - Flatpak User Packages ――――――――――――――――――――――――――――――――――――――――――――
Dry running: /usr/bin/flatpak update --user -y
Dry running: /usr/bin/flatpak update --system -y

―― 13:43:05 - snap ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
Dry running: /usr/bin/sudo /usr/bin/snap refresh

―― 13:43:05 - Firmware upgrades ――――――――――――――――――――――――――――――――――――――――――――――――
Dry running: /usr/bin/fwupdmgr refresh
Dry running: /usr/bin/fwupdmgr get-updates

―― 13:43:05 - Summary ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
System update: OK
oh-my-zsh: OK
yarn: OK
Flatpak: OK
snap: OK
Firmware upgrades: OK
~ >>>

for your machine.

But just to get this straight - if you launch 'add' from the menu, then select software and click install - there's no policykit request for a password - that means it won't install?

I would ask for pacman logs, but ...
Reinstall some polkit packages
sudo pacman -Syu polkit polkit-gnome polkit-qt5 lib32-polkit

Yes, it shows:Authentication failed

I install topgrade from AUR now, please wait a minute.

I Reinstall sudo pacman -Syu polkit polkit-gnome polkit-qt5 lib32-polkit and reboot.
But still sad.

What pacman logs?
Pacman and yay by terminal command are all correct.

/var/log/pacman.log

2103 lines.
No file upload function in manjaro forum?

I upload it to the web:

Please download it.

lpc@lpc:~$ topgrade -n

―― 15:19:57 - System update ―――――――――――――――――――――――――――――――――――――――――――
Dry running: /usr/bin/yay -Pw
Dry running: /usr/bin/yay --pacman /usr/bin/pacman -Syu --devel

―― 15:19:57 - Go ――――――――――――――――――――――――――――――――――――――――――――――――――――――
Dry running: /usr/bin/go get -u all

―― 15:19:57 - Atom Package Manager ――――――――――――――――――――――――――――――――――――
Dry running: /usr/bin/apm upgrade --confirm=false

―― 15:19:57 - Flatpak User Packages ―――――――――――――――――――――――――――――――――――
Dry running: /usr/bin/flatpak update --user -y
Dry running: /usr/bin/flatpak update --system -y

―― 15:19:57 - snap ――――――――――――――――――――――――――――――――――――――――――――――――――――
Dry running: /usr/bin/sudo /usr/bin/snap refresh

―― 15:19:57 - Summary ―――――――――――――――――――――――――――――――――――――――――――――――――
System update: OK
Go: OK
apm: OK
Flatpak: OK
snap: OK

Pacman backup configuration files found:
/etc/mkinitcpio.d/linux56.preset.pacsave
/etc/shadow.pacnew

For small images yes, for short code text you can use the formatting feature ... but what not using services like:


or
https://hastebin.com/

?

I uploaded it to the web,can you download?

There are some Simplified Chinese words.
I just prepare to reply another post about vboxclient by pacman -Qi virtualbox.
But another issue, the system language does not change to English after I change it.

It is very kind of you to help me.

Just a guess here, based on what you installed.
Mixed XFCE with KDE and Deepin might have not been a good idea.
what is the status for
systemctl status polkit

1 Like

lpc@lpc:~$ systemctl status polkit
● polkit.service - Authorization Manager
Loaded: loaded (/usr/lib/systemd/system/polkit.service; static; vendor pre>
Active: active (running) since Wed 2020-07-01 14:55:19 CST; 2h 51min ago
Docs: man:polkit(8)
Main PID: 680 (polkitd)
Tasks: 6 (limit: 14306)
Memory: 10.6M
CGroup: /system.slice/polkit.service
└─680 /usr/lib/polkit-1/polkitd --no-debug

7月 01 14:55:19 lpc polkitd[680]: Loading rules from directory /usr/share/polki>
7月 01 14:55:19 lpc polkitd[680]: Finished loading, compiling and executing 7 r>
7月 01 14:55:19 lpc systemd[1]: Started Authorization Manager.
7月 01 14:55:19 lpc polkitd[680]: Acquired the name org.freedesktop.PolicyKit1 >
7月 01 14:55:21 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.rules:3: >
7月 01 14:55:21 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.rules:4: >
7月 01 16:32:36 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.rules:3: >
7月 01 16:32:36 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.rules:4: >
7月 01 17:37:47 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.rules:3: >
7月 01 17:37:47 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.rules:4: >
lines 1-20/20 (END)...skipping...
● polkit.service - Authorization Manager
Loaded: loaded (/usr/lib/systemd/system/polkit.service; static; v>
Active: active (running) since Wed 2020-07-01 14:55:19 CST; 2h 51>
Docs: man:polkit(8)
Main PID: 680 (polkitd)
Tasks: 6 (limit: 14306)
Memory: 10.6M
CGroup: /system.slice/polkit.service
└─680 /usr/lib/polkit-1/polkitd --no-debug

7月 01 14:55:19 lpc polkitd[680]: Loading rules from directory /usr/sh>
7月 01 14:55:19 lpc polkitd[680]: Finished loading, compiling and exec>
7月 01 14:55:19 lpc systemd[1]: Started Authorization Manager.
7月 01 14:55:19 lpc polkitd[680]: Acquired the name org.freedesktop.Po>
7月 01 14:55:21 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.>
7月 01 14:55:21 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.>
7月 01 16:32:36 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.>
7月 01 16:32:36 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.>
7月 01 17:37:47 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.>
7月 01 17:37:47 lpc polkitd[680]: /usr/share/polkit-1/rules.d/lightdm.>
~

The output is truncated, so i can't say much about. But, now i wonder, are you in sudo group, or you made every user to run administrative tasks without password ?

I am so sorry, I did not notice there are so many pages below.
Here is the fully one.

My account is not in sudo group, I really need to sudo and input the password in terminal when pacman or yay.

I found the answer for the forum, I did not remember I had closed it.
Anyway, thanks a lot.

PolicyKit Autheantication Agent

Yeah, the agent must be on and is on by default. maybe you disable it at some point. :slight_smile:

Thanks.
But I created a new virtualbox client of debian 10 on Manjaro host, vboxclient issue is still exist.
I found there is no virtualbox 6.1.10 in the Manjaro software store, any wrong with it?
Shall I install virtualbox 6.1.10 manully to try to solve the vboxclient issue?

That version is in testing and unstable branches, soon to land in stable branch.
Regardless the version, make sure you read this:


I have the vague impression that you are into wrong approach on getting things running (no pun intended).

I usually download all the required files from virtuabox website to install virtualbox.

Follow the instruction, I will install VirtualBox again from the beginning in the terminal.

After $ pamac install virtualbox linux57-virtualbox-host-modules virtualbox-guest-iso,

then:

1: vde2: Virtual Distributed Ethernet support
2: virtualbox-ext-vnc: VNC server support
3: virtualbox-sdk: Developer kit

Which one to choose or choose none of them?

I did all, but still vboxclient error.
Wait for the virtualbox 6.1.10 in stable branch.

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by